For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTCreate an offer
      • GETList offers
      • GETGet an offer
      • PATCHUpdate an offer
LogoLogo
SupportDashboard
EndpointsOffers

Update an offer

PATCH
/offers/:offer_id
PATCH
/api/v1/offers/:offer_id
$curl -X PATCH https://tryenvoy.ai/api/v1/offers/offer_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "status": "accepted"
>}'
1{
2 "id": "ofr_00000000-0000-0000-0000-000000000000",
3 "tms_load_id": "string",
4 "load_id": "load_00000000-0000-0000-0000-000000000000",
5 "offer_amount": 1.1,
6 "status": "pending",
7 "source": "string",
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-01-15T09:30:00Z",
10 "carrier_id": "car_00000000-0000-0000-0000-000000000000",
11 "contact_id": "con_00000000-0000-0000-0000-000000000000",
12 "call_id": "call_00000000-0000-0000-0000-000000000000",
13 "email_message_id": "string",
14 "notes": "string",
15 "created_by_id": "usr_00000000-0000-0000-0000-000000000000",
16 "updated_by_id": "usr_00000000-0000-0000-0000-000000000000",
17 "load_number": "string",
18 "carrier": {
19 "id": "car_00000000-0000-0000-0000-000000000000",
20 "name": "string",
21 "mc_number": "string",
22 "dot_number": "string",
23 "email": "string",
24 "phone": "string",
25 "dispatcher_name": "string",
26 "dispatcher_phone": "string",
27 "dispatcher_email": "string",
28 "is_active": true,
29 "provider": "string",
30 "ingestion_method": "string",
31 "equipment_types": [
32 "VAN"
33 ],
34 "insurance_expiration": "2024-01-15T09:30:00Z",
35 "w9_on_file": true,
36 "authorized_for_hire": true,
37 "on_time_pickup_pct": 1.1,
38 "on_time_delivery_pct": 1.1,
39 "tracking_compliance_pct": 1.1,
40 "avg_response_time_min": 1.1,
41 "total_loads_hauled": 1,
42 "is_onboarded": false,
43 "carrier_rep_user_id": "usr_00000000-0000-0000-0000-000000000000",
44 "carrier_rep_name": "string",
45 "carrier_rep_email": "string",
46 "is_verified": false,
47 "verified_date": "2024-01-15T09:30:00Z",
48 "created_at": "2024-01-15T09:30:00Z",
49 "updated_at": "2024-01-15T09:30:00Z"
50 },
51 "contact_name": "string",
52 "contact_phone": "string",
53 "email_conversation_id": "string",
54 "rep_name": "string"
55}

Update an offer’s status (accepted, rejected, or pending).

Authentication: Supports API key and bearer token authentication.

Was this page helpful?
Previous

Initiate an ELP assessment call

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

offer_idstringRequiredformat: "uuid"

Headers

X-Organization-IDstring or nullOptional

Request

This endpoint expects an object.
statusenumRequired
New status for the offer
Allowed values:

Response

Successful Response
idstringformat: "^ofr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
tms_load_idstring
load_idstringformat: "^load_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
offer_amountdouble
statusenum
Allowed values:
sourcestring
created_atdatetime
updated_atdatetime
carrier_idstringformat: "^car_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
contact_idstringformat: "^con_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
call_idstringformat: "^call_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
email_message_idstring or null
notesstring or null
created_by_idstringformat: "^usr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
updated_by_idstringformat: "^usr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
load_numberstring or null
carrierobject or null

v1 carrier response - wraps domain CarrierModel with prefixed IDs.

contact_namestring or null
contact_phonestring or null
email_conversation_idstring or null
rep_namestring or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error